import { LinkStyleOptions } from "./link-style-options";
import { NodeStyleOptions } from "./node-style-options";
export const defaultTreeOptions = {
    width: window.innerWidth,
    height: window.innerHeight,
    transformTreeFromTop: 0,
    transformTreeFromLeft: 0,
    zoom: true,
    autoFitText: true,
    drawNodes: true,
    drawNodevalue: true,
    drawConnections: true,
    sizeBetweenNodes: 180,
    autoExpandTreeSize: false,
    addMouseHoverToNodes: true,
    animation: false,
    duration: 1000,
    nodeStyleOptions: new NodeStyleOptions(),
    linkStyleOptions: new LinkStyleOptions(),
};
//# sourceMappingURL=tree-default-options.js.map