export default function binaryTreeUtiles() {
    var currentRoot;
    function getBinaryTreeWidth(binaryTree) {
        currentRoot = binaryTree.root;
        return Math.max(getWidthRequired(), window.innerWidth);
    }
    function getWidthRequired() {
        // 50 is the Required space between nodes
        return getMaxLeafNodesFromHeight() * 50;
    }
    function getMaxLeafNodesFromHeight() {
        // Math formel to find max leaf nodes from tree height
        return 2 ** (getTreeHeight(currentRoot) - 1);
    }
    function getTreeHeight(root) {
        if (root == null)
            return 0;
        return Math.max(getTreeHeight(root.left), getTreeHeight(root.right)) + 1;
    }
    return { getBinaryTreeWidth };
}
//# sourceMappingURL=binary-tree-utiles.js.map