import { AnimationOptions } from "./../models/options/animation-options";
import { TreeOptions } from "../models/options/tree-options";
import BinaryTree from "../models/binary-tree";
export default function binaryTreeDrawer(): {
    draw: (element: string, binaryTree: BinaryTree<number | string>, options?: Partial<TreeOptions> | undefined) => void;
    onNodeClick: (callback: Function) => void;
    animatePath: (pathId: number, pathAnimationStyle?: AnimationOptions | undefined) => any;
    animateNode: (nodeId: number, nodeAnimationStyle?: AnimationOptions | undefined) => any;
    stopTransition: () => void;
    resetTree: () => void;
    removeTree: () => void;
    selectNode: (node: any) => void;
    setFreeze: (freeze: any) => void;
};
