import { BinaryNode } from "./binary-node";
export default class BinaryTree {
    root;
    constructor(value) {
        this.root = new BinaryNode(value);
    }
    addNode(val) {
        var newNode = new BinaryNode(val);
        this.insertNode(newNode);
    }
    insertNode(newNode, node = this.root) {
        if (newNode.value === node.value)
            return;
        if (newNode.value < node.value) {
            if (node.left == null) {
                node.left = newNode;
            }
            else {
                this.insertNode(newNode, node.left);
            }
        }
        else {
            if (node.right == null) {
                node.right = newNode;
            }
            else {
                this.insertNode(newNode, node.right);
            }
        }
    }
}
//# sourceMappingURL=binary-tree.js.map